#include<stdio.h>

int main ()
{
  int n,i,j;
  scanf("%i",&n);
  if (n<=0)
     {
      printf("-1 \n");
      return 0;
     }
  for (i=n;i>0;i--)
  {
    for (j=1;j<=n-i;j++)
	  printf(" ");
    for (j=1;j<2*i;j++)
         if (j%2==0)
           printf("-");
         else
	   printf ("*");
    printf("\n");
  } 
   return 0;   
}
